Subject: Re: [sieve] Possible abuse of variables with vacation extension.

From: Stephan Bosch <[email-masked]>
Date: Tue, 20 Oct 2009 17:35:52 +0200

Hi Ned,

Ned Freed wrote:
>> Ned Freed wrote:
>> >> One of the solutions I proposed is querying the available
>> >> (single-drop) aliases in the background, requiring the
>> >> implementation of a background alias lookup. Thus far, I haven't
>> >> gotten around to implementing this.
>> >
>> > Or alternately, you can run all of the candidate addresses through
>> > the alias process and see if any of them match the current recipient.
> 
>> That is similar to what I mention above.
> 
>> > There are lots of ways to skin this particular cat.
>> I guess. Could you name a few more? Any suggestions are welcome :).
> 
> Well, you could store the list of possible recipient addresses alongside
> the sieve script, no need to look them up that way. Or you could squirrel
> away the  list of possible addresses coincident with the alias processing
> the MTA does.
> 
> The latter is what we do, more or less.
> 
What do you mean exactly by 'you could squirrel away the list of 
possible addresses'?

Regards,

Stephan.

---

From: [email-masked]
Date: Tue, 20 Oct 2009 08:39:30 -0700 (PDT)

> What do you mean exactly by 'you could squirrel away the list of

Alias processing means doing stuff like looking up addresses in some kind of
database. Those entries may have an entire list of alternate addresses in them,
and the cost of fetching those as part of the alias expansion operation and
storing them so they can be used for later vacation comparisons is extremely
low, where the chances of one of those addresses appearing in the message that
caused the alias lookup is rather high.

				Ned